=head1 NAME

Gtk2::ImageMenuItem

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem
                                     +----Gtk2::ImageMenuItem



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 widget = Gtk2::ImageMenuItem-E<gt>B<new> ($label=undef)

=over

=item * $label (string) 

=back

=head2 widget = Gtk2::ImageMenuItem-E<gt>B<new_from_stock> ($stock_id, $accel_group=undef)

=over

=item * $stock_id (string) 

=item * $accel_group (Gtk2::AccelGroup or undef) 

=back

=head2 widget = Gtk2::ImageMenuItem-E<gt>B<new_with_label> ($label=undef)

=over

=item * $label (string) 

=back

=head2 widget = Gtk2::ImageMenuItem-E<gt>B<new_with_mnemonic> ($label=undef)

=over

=item * $label (string) 

=back

=head2 $image_menu_item-E<gt>B<set_accel_group> ($accel_group)

=over

=item * $accel_group (Gtk2::AccelGroup) 

=back

Since: gtk+ 2.16

=head2 boolean = $image_menu_item-E<gt>B<get_always_show_image> 

Since: gtk+ 2.16

=head2 $image_menu_item-E<gt>B<set_always_show_image> ($always_show)

=over

=item * $always_show (boolean) 

=back

Since: gtk+ 2.16

=head2 widget = $image_menu_item-E<gt>B<get_image> 

=head2 $image_menu_item-E<gt>B<set_image> ($image)

=over

=item * $image (Gtk2::Widget) 

=back

=head2 boolean = $image_menu_item-E<gt>B<get_use_stock> 

Since: gtk+ 2.16

=head2 $image_menu_item-E<gt>B<set_use_stock> ($use_stock)

=over

=item * $use_stock (boolean) 

=back

Since: gtk+ 2.16



=cut


=head1 PROPERTIES

=over

=item 'accel-group' (Gtk2::AccelGroup : default undef : writable / private)

The Accel Group to use for stock accelerator keys

=item 'always-show-image' (boolean : default false : readable / writable / construct / private)

Whether the image will always be shown

=item 'image' (Gtk2::Widget : default undef : readable / writable / private)

Child widget to appear next to the menu text

=item 'use-stock' (boolean : default false : readable / writable / construct / private)

Whether to use the label text to create a stock menu item

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Item>, L<Gtk2::MenuItem>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

